Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229346 - NFS fix - gfs_decode_fh
Summary: NFS fix - gfs_decode_fh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-kmod
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Wendy Cheng
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On: 229345
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 15:10 UTC by Wendy Cheng
Modified: 2010-01-12 03:25 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0577
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 20:06:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0577 normal SHIPPED_LIVE gfs-kmod bug fix update 2007-10-30 15:36:56 UTC

Description Wendy Cheng 2007-02-20 15:10:27 UTC
+++ This bug was initially created as a clone of Bug #229345 +++

Description of problem:
GFS(s) expects NFS fh_type and fh_len would have the same value. 
This is apparently not correct. One obvious symptom is that 
it will fail NFS V2 (which uses fixed fh_len for all requests) 
mount command. 

Version-Release number of selected component (if applicable):
All

How reproducible:
Depending on NFS request types - for v2 mount command, it fails
each time and every time.

Steps to Reproduce:
Mount GFS(s) partitions on NFS clients using NFS v2 protocol. 

Actual results:
The command fails with ESTALE error.

Expected results:
Mount succeeds. 

Additional info:
Patch has submitted to cluster-devel list.

Comment 1 Kiersten (Kerri) Anderson 2007-04-23 17:39:18 UTC
Fixing product name. Cluster Suite components were integrated into Enterprise
Linux for verion 5.0.

Comment 2 Wendy Cheng 2007-05-08 18:12:29 UTC
Code checked into CVS. 

Comment 6 errata-xmlrpc 2007-11-07 20:06:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0577.html



Note You need to log in before you can comment on or make changes to this bug.